=== debian/changelog ===
esajpip (0.1~bzr33-3) unstable; urgency=medium

  * Switch to libprocps4-dev. Closes: #795084 
  * Switch to libconfig-dev. Closes: #796525
  * Update Std-Vers to 3.9.6, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Sat, 22 Aug 2015 13:42:16 +0200

esajpip (0.1~bzr33-2) unstable; urgency=low

  * Fix compilation on doc without internet connection. Closes: #748833
  * Remove lintian warning about jquery.js

 -- Mathieu Malaterre <malat@debian.org>  Tue, 17 Jun 2014 15:15:32 +0200

esajpip (0.1~bzr33-1) unstable; urgency=low

  * New upstream, upload to sid

 -- Mathieu Malaterre <malat@debian.org>  Fri, 16 May 2014 16:13:58 +0200

esajpip (0.1~bzr28-1) experimental; urgency=low

  * Initial release. (Closes: #732012)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 12 Dec 2013 13:46:37 +0100
