=== debian/control ===
Source: esajpip
Section: net
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-xsl,
               libconfig++-dev,
               liblog4cpp5-dev,
               libprocps4-dev | libprocps-dev,
               xsltproc
Build-Depends-Indep: doxygen-latex, transfig
Homepage: https://code.launchpad.net/esajpip
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/esajpip/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/esajpip/trunk
Standards-Version: 3.9.6

Package: esajpip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ESA JPIP Server
 The ESA JPIP server is capable to handle the following types of JPEG2000 image
 files: raw J2C, JP2 and JPX with or without hyperlinks. The codestreams of the
 images must comply with the following requirements:
  - No tiles partition is allowed.
  - The progression order must be LRCP, RLCP or RPCL.
  - PLT markers must be included with the information of all the packets.

Package: esajpip-doc
Section: doc
Architecture: all
Depends: doc-base, libjs-jquery, ${misc:Depends}
Description: ESA JPIP Server - doc
 The ESA JPIP server is capable to handle the following types of JPEG2000 image
 files: raw J2C, JP2 and JPX with or without hyperlinks. The codestreams of the
 images must comply with the following requirements:
  - No tiles partition is allowed.
  - The progression order must be LRCP, RLCP or RPCL.
  - PLT markers must be included with the information of all the packets.
 .
 This is the documentation for esajpip server
