=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

pkg_bin=esajpip
pkg_doc=esajpip-doc

override_dh_auto_build-arch:
	$(MAKE) all CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
	xsltproc debian/esa_jpip_server.1.xml

get-orig-source:
	#uscan --verbose --force-download --rename
	./debian/get-orig-source

override_dh_clean:
	dh_clean esa_jpip_server.1
	dh_clean CDDL

override_dh_install:
	dh_install -p$(pkg_bin) bin/esa_jpip_server usr/sbin
	#dh_install -p$(pkg_bin) bin/basic_server usr/sbin
	#dh_install -p$(pkg_bin) bin/packet_information usr/sbin
	dh_install -p$(pkg_bin) server.cfg etc/esajpip

override_dh_auto_build-indep:
	$(MAKE) documentation

# No tests needed for docs
override_dh_auto_test-indep:

#override_dh_auto_install-indep:
CDDL: COPYRIGHT
	cp -f $< $@

override_dh_installdocs: CDDL
	dh_installdocs -A $^
	# cleanup doxygen stuff:
	dh_installdocs        -p$(pkg_doc) doc/refman.pdf
	dh_installdocs -X.md5 -p$(pkg_doc) doc/html
	# jquery/lintian:
	dh_link -pesajpip-doc usr/share/javascript/jquery/jquery.js usr/share/doc/esajpip-doc/html/jquery.js
	dh_installdocs

override_dh_installman:
	dh_installman -p$(pkg_bin) esa_jpip_server.1

override_dh_compress:
	dh_compress -X.pdf -X.map
